Subject: bug#19076: 25.0.50; Switching vertical scroll bars off makes the mode line and buffer area disappear

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Wed, 19 Nov 2014 14:18:04 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Magne Ingebrigtsen <[email-masked]>
>> Date: Tue, 18 Nov 2014 13:38:10 +0100
>> Cc: [email-masked]
>> 
>> > Do you have a vague idea when this happened for the first time?
>> 
>> I think...  like...  three weeks ago, perhaps?  Two weeks?
>
> Do you per chance have old src/emacs-25.0.50.xx binaries from past
> builds, which you could try to find when it started?

I "bisected" it down to these two from the backup disk:

-rwxr-xr-x 1 larsi larsi 30251403 Sep 18 20:03 /mirror/home/larsi/src/emacs/trunk/src/emacs-24.4.50.10
-rwxr-xr-x 1 larsi larsi 30151900 Aug 25 18:04 /mirror/home/larsi/src/emacs/trunk/src/emacs-24.4.50.9

emacs-24.4.50.9 is OK, and emacs-24.4.50.10 is not, so it happened
between Aug 25 and Sep 18.  Which is longer ago than I thought.

emacs-24.4.50.9 doesn't seem to respond to

emacs.verticalScrollBars: off

at all -- it shows the vertical scroll bar (in addition to the mode line
and echo area).  So perhaps the code that reacts to
emacs.verticalScrollBars also did something with those two?

It may also be geometry sensitive, since I'm not able to reproduce this
on a different screen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no